from django.db import models

# models.py in your main app

from django.db import models
from django.contrib.auth.models import User

class ProfessionManager(models.Manager):
    def get_by_natural_key(self, name):
        return self.get(name=name)

class Profession(models.Model):
    objects = ProfessionManager()
    name = models.CharField(max_length=100)

    def __str__(self):
        return self.name

class PortalUserInfo(models.Model):
    user = models.OneToOneField(User, on_delete=models.CASCADE)
    profession = models.ForeignKey('Profession', on_delete=models.CASCADE)
    works_in_endoscopy = models.BooleanField(blank=True, null=True)
    # Add other fields as needed

    def __str__(self):
        return self.user.username
